%global toolchain      clang
%global optflags       %optflags -Wno-unused-but-set-variable -Wno-unused-variable

# do not provide plugins .so
%define	_exclude_files_from_autoprov	%{_libdir}/%{name}/.*\\.so

%define mp4pgit 156195c

Summary:	Ultimate music player for GNU/Linux
Name:		deadbeef
Version:	1.10.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Sound/Players
Url:		https://deadbeef.sourceforge.io/
Source0:	https://github.com/DeaDBeeF-Player/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# https://api.github.com/repos/DeaDBeeF-Player/mp4p/tarball/%%{mp4pgit}
Source1:	DeaDBeeF-Player-mp4p-%{mp4pgit}.tar.gz
Source2:	https://github.com/DeaDBeeF-Player/ddb_dsp_libretro/archive/b4d3db19566398603069d02eeacb3b06987a1b74.zip
Source3:	https://github.com/DeaDBeeF-Player/ddb_output_pw/archive/0b099d13ab0e89d9934aabdeb2872f0f66ea6960.zip
BuildRequires:	clang
BuildRequires:	intltool >= 0.40
BuildRequires:	bison
BuildRequires:	yasm
BuildRequires:	ffmpeg-devel
BuildRequires:	libstdc++-static-devel
BuildRequires:	libdispatch-devel
BuildRequires:	pkgconfig(faad2)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(libzip)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libmms)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(libpipewire-0.3)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(opusfile)

%description
DeaDBeeF is an audio player for GNU/Linux systems with
X11 written in C and C++.

Features:
* minimal depends
* native GTK2/GTK3 GUI
* cuesheet support
* mp3
* ogg
* flac
* ape
* chiptune formats with subtunes
* song-length databases
* small memory footprint

%package devel
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}

%description devel
Development files and headers for %{name}.

%prep
%setup -q -a 2 -a 3
tar -C external --transform "s,^DeaDBeeF-Player-mp4p-%{mp4pgit}/,mp4p/," -xf %{SOURCE1}

rm -rf external/ddb*
%__mv ddb_output_pw* external/ddb_output_pw
%__mv ddb_dsp_libretro* external/ddb_dsp_libretro

%autopatch -p1

# Drop hardcoded -msse3
sed -i "s/-msse3//" ./external/ddb_dsp_libretro/Makefile.*

%build
./autogen.sh
%configure \
	%ifarch %{ix86}
	--disable-soundtouch \
	%endif
	--disable-static \
	--disable-rpath \
	--disable-gtk2 \
	--enable-gtk3 \
	--disable-pulse \
	--enable-pipewire

%make_build

%install
%make_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%doc about.txt help.txt translators.txt
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files devel
%{_includedir}/%{name}/


%changelog
* Thu Jul 03 2025 umeabot <umeabot> 1.10.0-2.mga10
+ Revision: 2244450
- Mageia 10 Mass Rebuild

* Fri Jun 13 2025 daviddavid <daviddavid> 1.10.0-1.mga10.tainted
+ Revision: 2190804
- new version: 1.10.0

* Mon Dec 09 2024 daviddavid <daviddavid> 1.9.6-2.mga10.tainted
+ Revision: 2123104
- backport upstream patch to fix build with ffmpeg 7.x
- switch to pipewire
- rebuild for new ffmpeg 7.1

* Wed Feb 14 2024 daviddavid <daviddavid> 1.9.6-1.mga10.tainted
+ Revision: 2041186
- new version: 1.9.6

* Thu Mar 30 2023 kekepower <kekepower> 1.9.5-1.mga9.tainted
+ Revision: 1950829
- Patch libretro to use the correct include path to find deadbeef.h
- Update to version 1.9.5

* Sat Dec 17 2022 kekepower <kekepower> 1.9.4-1.mga9.tainted
+ Revision: 1924202
- Update to version 1.9.4

* Sun Nov 20 2022 wally <wally> 1.9.3-2.mga9.tainted
+ Revision: 1909494
- rebuild for aarch64
- fix desktop file patch
+ papoteur <papoteur>
- new 1.9.3
+ danf <danf>
- Include mp4p source which is in a separate repo
+ kekepower <kekepower>
- Use Clang to build deadbeef
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Thu Jul 02 2020 daviddavid <daviddavid> 1.8.4-1.mga8.tainted
+ Revision: 1601384
- new version: 1.8.4 (mga#26878)

* Fri Feb 21 2020 umeabot <umeabot> 0.7.2-8.mga8.tainted
+ Revision: 1548862
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jul 17 2019 daviddavid <daviddavid> 0.7.2-7.mga8.tainted
+ Revision: 1422028
- rebuild for new libcdio 2.1.0

* Wed Jan 02 2019 alexl <alexl> 0.7.2-6.mga7.tainted
+ Revision: 1348509
+ rebuild (emptylog)

* Thu Sep 20 2018 umeabot <umeabot> 0.7.2-5.mga7.tainted
+ Revision: 1277863
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 daviddavid <daviddavid> 0.7.2-4.mga7.tainted
+ Revision: 1223590
- rebuild for new ffmpeg 4.0
+ kekepower <kekepower>
- Update to version 0.7.2

* Sun Jan 14 2018 wally <wally> 0.7.1-4.mga7.tainted
+ Revision: 1193041
- rebuild for new libcdio

* Sat Dec 30 2017 wally <wally> 0.7.1-3.mga7.tainted
+ Revision: 1187968
- rebuild for new libzip

* Wed Mar 08 2017 akien <akien> 0.7.1-2.mga6.tainted
+ Revision: 1090268
- Rebuild for ffmpeg 3.2.4

* Thu Apr 07 2016 daviddavid <daviddavid> 0.7.1-1.mga6.tainted
+ Revision: 999054
- new version: 0.7.1 (mga#18150)
- add BR pkgconfig(jansson)
- switch BRs to pkgconfig()

* Wed Feb 24 2016 daviddavid <daviddavid> 0.6.1-7.mga6.tainted
+ Revision: 977854
- rebuild for Mageia 6

* Thu Nov 19 2015 daviddavid <daviddavid> 0.6.1-6.mga6.tainted
+ Revision: 904154
- fix build of vfs_zip plugin
- rebuild for new libzip 1.0.1

* Thu Jul 16 2015 sander85 <sander85> 0.6.1-5.mga6.tainted
+ Revision: 854695
- Rebuild for new libcdio

* Fri Nov 14 2014 cjw <cjw> 0.6.1-4.mga5.tainted
+ Revision: 796965
- rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-3.mga5.tainted
+ Revision: 744437
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-2.mga5.tainted
+ Revision: 678700
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 wally <wally> 0.6.1-1.mga5.tainted
+ Revision: 638260
- new version 0.6.1
- enable ffmpeg support

* Thu Oct 31 2013 tmb <tmb> 0.5.6-3.mga4.tainted
+ Revision: 548159
- Mageia 4 rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.5.6-2.mga4.tainted
+ Revision: 389214
+ rebuild (emptylog)

* Fri Jan 11 2013 umeabot <umeabot> 0.5.6-2.mga3.tainted
+ Revision: 348711
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 wally <wally> 0.5.6-1.mga3.tainted
+ Revision: 310699
- fix RPM group
- new version 0.5.6
- enable gtk3 gui support
- clean .spec a bit

* Wed Jun 06 2012 shlomif <shlomif> 0.5.5-1.mga3.tainted
+ Revision: 256291
- New version - 0.5.5

* Sat Mar 03 2012 malo <malo> 0.5.2-0.beta1.1.mga2.tainted
+ Revision: 217514
- fix for desktop file
- spec clean-up after import from Mandriva.
- imported package deadbeef


* Sat Feb 25 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-0.beta1.1mdv2012.0
+ Revision: 780738
- update to new version 0.5.2-beta1
- add buildrequires on yasm and bison
- drop patch 0, applied by upstream

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for new libcdio

* Fri Sep 23 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-3
+ Revision: 701114
- rebuild

* Fri Sep 23 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-2
+ Revision: 701086
- nuke rpath
- add missing buildrequires on libzip-devel dbus-devel libimlib2-devel libjpeg-devel libpulseaudio-devel libfaad2-devel

* Tue Jun 14 2011 Александр Казанцев <kazancas@mandriva.org> 0.5.1-1
+ Revision: 685144
- update to version 0.5.1

* Fri May 20 2011 Александр Казанцев <kazancas@mandriva.org> 0.5.0-2
+ Revision: 676348
- new version 0.5.0

* Sun Dec 19 2010 Shlomi Fish <shlomif@mandriva.org> 0.4.4-2mdv2011.0
+ Revision: 622922
- Add a dependency on intltool - it was missing
- update to version 0.4.4
- fix plugin loading by moving *.so files from devel package to main
- fix help menu by packaging doc files
- contributed by BALATON Zoltan.

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-2mdv2011.0
+ Revision: 610220
- rebuild

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add source and spec files
    - Created package structure for deadbeef.

